Core - Bug # 41131

Task # 40095 (Resolved): Move core to namespaces

Bug # 41128 (Resolved): Provide a file for IDEs to recognize old class names

Status: Resolved Priority: Should have
Author: Helmut Hummel Category:

Created: 2012-09-20 Assigned To:

Updated: 2012-09-21 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Is Regression:
Sprint Focus:

Subiject: Fix syntax errors in legacy classes file for IDEs

Description

The file contained syntax errors and included test classes.
Remove the test classes from the alias map file
Fix a wrong class alias on the go.

Also add a die() statement at the very beginning of the file
and add deprecation statements above each class.

Associated revisions

Revision cd27f77d - 2012-09-21 21:51 - Helmut Hummel

[TASK] Fix class naming and alias map after namespace change

Change-Id: I3e0f6d9aa0e5d8680213e3afe6db58d773b54c0d
Resolves: #41131

Releases: 6.0

Reviewed-on: http://review.typo3.org/14843

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

Revision ed0d40fb - 2012-09-21 21:57 - Helmut Hummel

[TASK] Fix class naming and alias map after namespace change

Resolves: #41131
Releases: 6.0

Change-Id: Ic9ee21cc0125¢c87981587982cdaec5e887923af9
Reviewed-on: http://review.typo3.org/14839

Reviewed-by: Philipp Gampe
Tested-by: Philipp Gampe
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn
http://review.typo3.org/14843
http://review.typo3.org/14839

History

#1 - 2012-09-20 20:05 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14785

#2 - 2012-09-20 20:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14785

#3 - 2012-09-21 11:36 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14785

#4 - 2012-09-21 17:54 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14839

#5 - 2012-09-21 18:14 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14843

#6 - 2012-09-21 20:05 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/14839

#7 - 2012-09-21 21:53 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.

It is available at http://review.typo3.0rg/14839

#8 - 2012-09-21 22:30 - Helmut Hummel
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ed0d40fb6a991ff3d1ef50a0ae83ddeaal019eee.
